Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Only install rake if needed #383

Merged
merged 1 commit into from

3 participants

@pmuir
Owner

No description provided.

@jboss-developer-ci
Collaborator

Triggering build using a merge of 262b7f5 on branch master:
Private: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/www.jboss.org-pull-player-executor/

@jboss-developer-ci
Collaborator

Build 372 is now running using a merge of 262b7f5 on branch master:
Private: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/www.jboss.org-pull-player-executor/372

@paulrobinson paulrobinson merged commit 1e50a38 into jboss-developer:master
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jul 15, 2014
  1. @pmuir

    Only install rake if needed

    pmuir authored
This page is out of date. Refresh to see the latest.
Showing with 3 additions and 1 deletion.
  1. +3 −1 _ci.sh
View
4 _ci.sh
@@ -39,7 +39,9 @@ function setup_environment {
rvm_install_on_use_flag=1 rvm --create use ${ruby_version}@${ruby_gemset}
# Make sure rake is installed, so we can execute rake setup
- rvm ${ruby_version}@${ruby_gemset} do gem install rake --no-document
+ if [ $(rvm ${ruby_version}@${ruby_gemset} do gem list rake -i) != "true" ] ; then
+ rvm ${ruby_version}@${ruby_gemset} do gem install rake
+ fi
## Build setup
# Configure the environment. Must run bundle install to bootstrap the env
Something went wrong with that request. Please try again.